gtksession.h File Reference
Pidgin (GTK+ User Interface)

X Windows session management API. More...

Go to the source code of this file.

## Functions
X Windows session subsystem
void | pidgin_session_init (gchar *argv0, gchar *previous_id, gchar *config_dir)
| Register this instance of Pidgin with the user's current session manager. More...
void | pidgin_session_end (void)
| Unregister this instance of Pidgin with the user's current session manager.

## Detailed Description

X Windows session management API.

Definition in file gtksession.h.

## Function Documentation

## ◆ pidgin_session_init()

void pidgin_session_init | ( | gchar * | argv0,
|  | gchar * | previous_id,
|  | gchar * | config_dir
| ) |  |

Register this instance of Pidgin with the user's current session manager.

Parameters

  argv0 | The first argument passed into the program. This will be the name of the executable, e.g. 'purple'
  previous_id | An optional session ID to use. This can be NULL.
  config_dir | The path to the configuration directory used by this instance of this program, e.g. '/home/user/.purple'